Loading...
Searching...
No Matches
Opm::Network::ExtNetwork Class Reference

## Public Member Functions

bool | active () const
bool | is_standard_network () const
void | set_standard_network (bool is_standard_network)
void | add_branch (Branch branch)
void | add_or_replace_branch (Branch branch)
void | drop_branch (const std::string &uptree_node, const std::string &downtree_node)
bool | has_node (const std::string &name) const
void | update_node (Node node)
const Node & | node (const std::string &name) const
std::vector< std::reference_wrapper< const Node > > | roots () const
std::vector< Branch > | downtree_branches (const std::string &node) const
std::vector< const Branch * > | branches () const
std::optional< Branch > | uptree_branch (const std::string &node) const
const std::vector< std::string > & | node_names () const
std::set< std::string > | leaf_nodes () const
int | NoOfBranches () const
int | NoOfNodes () const
bool | operator== (const ExtNetwork &other) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static ExtNetwork | serializationTestObject ()

The documentation for this class was generated from the following files:

- opm/input/eclipse/Schedule/Network/ExtNetwork.hpp
- opm/input/eclipse/Schedule/Network/ExtNetwork.cpp